#! /bin/bash

Version=2.1.2

# Si le Zenitor est installé dans /opt on le lance
if [[ -s /opt/Zenitor/creation_zenity.sh ]] && [[ -s /opt/Zenitor/zenitor.sh ]]
then
	Dossier_install="/opt/Zenitor"

# Si zenitor est lancé depuis un dossier autre que /opt
elif [[ -s $(cd "$(dirname $0)" ; pwd)/creation_zenity.sh ]] && [[ -s $(cd "$(dirname $0)" ; pwd)/zenitor.sh ]]
then
	Dossier_install=$(cd "$(dirname $0)" ; pwd)

else
	if [[ -z $(dpkg -l | egrep "^ii  zenity") ]]
	then
		zenity --error --title="Erreur" --text="Impossible de trouver le fichier 'création_zenity.sh' sensé accompagner 'zenitor.sh'.

Arret du script.

Cette fenêtre va se fermer dans 10 secondes." --timeout="10"
	
	else
		echo "Impossible de trouver le fichier 'création_zenity.sh' sensé accompagner 'zenitor.sh'.

Arret du script."
	fi
	exit
fi

export Dossier_install
export Version

#########################################
### Fonctions utiles aux fenêtres GTK ###
#########################################


function intro_gtk()
{
cat << EOF
<window title="Zenitor" window_position="1" icon-name="${2}">
	<vbox>
		<menubar>
			<menu>
				<menuitem icon="applications-system">
					<label>Générer le code</label>
					<action>bash "${Dossier_install}"/creation_zenity.sh ${1}</action>
					<action type="refresh">code_final</action>
				</menuitem>

				<menuitem icon="edit-find">
					<label>Tester le code</label>
					<action>bash /tmp/code_fenetre_zenity.txt &</action>
				</menuitem>

				<menuitem icon="view-refresh">
					<label>Recharger la fenêtre</label>
					<action>echo "${1}" > /tmp/code_fenetre_zenity.txt</action>
					<action>bash "${Dossier_install}"/creation_zenity.sh Nouvelle_boite &</action>
					<action type="exit">Relancement</action>
				</menuitem>

				<separator></separator>

				<menuitem icon="system-shutdown">
					<label>Quitter</label>
					<action>rm /tmp/code_fenetre_zenity.txt /tmp/exemple_zenity.txt</action>
					<action type="exit">bye</action>
				</menuitem>

				<label>Actions</label>	
			</menu>

			<menu>
				<menuitem icon="media-seek-forward">
					<label>Boite avec une barre de chargement</label>
					<action>echo "Chargement" > /tmp/code_fenetre_zenity.txt</action>
					<action>bash "${Dossier_install}"/creation_zenity.sh Nouvelle_boite</action>
					<action type="exit">Relancement</action>
				</menuitem>

				<menuitem icon="x-office-calendar">
					<label>Boite avec un calendrier</label>
					<action>echo "Calendrier" > /tmp/code_fenetre_zenity.txt</action>
					<action>bash "${Dossier_install}"/creation_zenity.sh Nouvelle_boite</action>
					<action type="exit">Relancement</action>
				</menuitem>

				<menuitem icon="zenity-scale">
					<label>Boite avec une échelle</label>
					<action>echo "Curseur" > /tmp/code_fenetre_zenity.txt</action>
					<action>bash "${Dossier_install}"/creation_zenity.sh Nouvelle_boite &</action>
					<action type="exit">Relancement</action>
				</menuitem>

				<menuitem icon="format-justify-fill">
					<label>Boite avec une liste de choix</label>
					<action>echo "Liste" > /tmp/code_fenetre_zenity.txt</action>
					<action>bash "${Dossier_install}"/creation_zenity.sh Nouvelle_boite &</action>
					<action type="exit">Relancement</action>
				</menuitem>

				<menuitem icon="dialog-warning">
					<label>Boite avec message de différents types</label>
					<action>echo "Message" > /tmp/code_fenetre_zenity.txt</action>
					<action>bash "${Dossier_install}"/creation_zenity.sh Nouvelle_boite &</action>
					<action type="exit">Relancement</action>
				</menuitem>

				<menuitem icon="dialog-information">
					<label>Boite d'information dans la zone de notification</label>
					<action>echo "Notification" > /tmp/code_fenetre_zenity.txt</action>
					<action>bash "${Dossier_install}"/creation_zenity.sh Nouvelle_boite &</action>
					<action type="exit">Relancement</action>
				</menuitem>

				<menuitem icon="insert-text">
					<label>Boite avec saisie de texte</label>
					<action>echo "Saisie" > /tmp/code_fenetre_zenity.txt</action>
					<action>bash "${Dossier_install}"/creation_zenity.sh Nouvelle_boite &</action>
					<action type="exit">Relancement</action>
				</menuitem>

				<menuitem icon="document-open">
					<label>Boite de sélection de fichier</label>
					<action>echo "Selection" > /tmp/code_fenetre_zenity.txt</action>
					<action>bash "${Dossier_install}"/creation_zenity.sh Nouvelle_boite &</action>
					<action type="exit">Relancement</action>
				</menuitem>

				<menuitem icon="zenity-text">
					<label>Boite de chargement de fichier texte</label>
					<action>echo "Texte_fichier" > /tmp/code_fenetre_zenity.txt</action>
					<action>bash "${Dossier_install}"/creation_zenity.sh Nouvelle_boite &</action>
					<action type="exit">Relancement</action>
				</menuitem>

				<label>Boite de dialogue à générer</label>
			</menu>

			<menu>
				<menuitem icon="preferences-system">
					<label>Mes codes Zenity</label>
					<action type="launch">codes_zenity</action>
				</menuitem>

				<separator></separator>

				<menuitem icon="help-contents">
					<label>Besoin d'aide</label>
					<action type="launch">help_zenitor</action>
				</menuitem>

				<menuitem icon="zenitor-update">
					<label>Mise à jour</label>
					<action type="launch">update_zenitor</action>
				</menuitem>

				<menuitem icon="view-refresh">
					<label>Verifier dépendances</label>
					<action>bash "${Dossier_install}"/creation_zenity.sh initial</action>
					<action>zenity --text-info --title="Vérification dépendances" --filename="${HOME}/.config/zenitor/verif.txt"</action>
				</menuitem>

				<separator></separator>

				<menuitem icon="zenitor">
					<label>À propos de Zenitor</label>
					<action type="launch">about_zenitor</action>
				</menuitem>

				<menuitem icon="zenity">
					<label>À propos de Zenity</label>
					<action>zenity --about &</action>
				</menuitem>

				<label>Aide</label>	
			</menu>
		</menubar>

		<notebook labels=" Infos générales | Infos spécifiques | Code Zenity ">
			<vbox>
EOF
}

function Titre_gtk()
{
cat << EOF
				<frame Titre de la fenêtre :>
					<entry tooltip-text=" Indiquez un titre pour la fenêtre. Pour le point d'exclamation, mettre un anti-slash devant. ">
						<variable>title</variable>
					</entry>
				</frame>
EOF
}


function Texte_gtk()
{
cat << EOF
				<frame Texte à afficher dans la fenêtre :>
					<edit tooltip-text=" Indiquez un texte pour le corps de la fenêtre. Pour le point d'exclamation, mettre un anti-slash devant. ">
						<variable>text</variable>
					</edit>
				</frame>
EOF
}


function Temps_gtk()
{
cat << EOF
				<frame Temps avant la fermeture de la fenêtre :>
					<hbox>
						<entry tooltip-text=" Indiquez un nombre de seconde au bout duquel la fenêtre se fermera automatiquement. ">
							<variable>timeout</variable>
						</entry>
						<text>
							<label>secondes</label>
						</text>
					</hbox>
				</frame>
EOF
}


function Icone_gtk()
{
cat << EOF
				<frame Icône de la boite de texte :>
					<hbox spacing="10">
						<entry accept="fileselect" tooltip-text=" Indiquez l'icône à utiliser pour la fenêtre. ">
							<variable>window_icon</variable>
						</entry>
						<button>
							<input file stock="gtk-open"></input>
							<action type="fileselect">window_icon</action>
						</button>
					</hbox>
				</frame>
EOF
}


function Largeur_gtk()
{
cat << EOF
				<frame Largeur de la fenêtre :>
					<hbox>
						<entry tooltip-text=" Indiquez une largeur maximale en px pour la fenêtre. ">
							<variable>width</variable>
						</entry>
						<text>
							<label>px</label>
						</text>
					</hbox>
				</frame>
EOF
}


function Hauteur_gtk()
{
cat << EOF
				<frame Hauteur de la fenêtre :>
					<hbox>
						<entry tooltip-text=" Indiquez une hauteur maximale en px pour la fenêtre. ">
							<variable>height</variable>
						</entry>
						<text>
							<label>px</label>
						</text>
					</hbox>
				</frame>
EOF
}


function fin_gtk()
{
cat << EOF
			<frame Code de la fenêtre Zenity :>
				<edit tooltip-text=" Code de la fenêtre Zenity utilisable tel quel. ">
					<variable>code_final</variable>
					<input file>/tmp/code_fenetre_zenity.txt</input>
				</edit>
				
				<hbox>
					<entry tooltip-text=" Indiquez un nom pour facilement retrouver ce code.
 Par défaut, la date du jour est utilisée. ">
						<variable>nom_sauvegarde</variable>
						<input>date | sed "s/,// ; s/ (.*//"</input>
					</entry>
					
					<button tooltip-text=" Sauvegarder ce code afin de le retrouver facilement. ">
						<input file icon="document-save"></input>
						<label>Sauvegarder le code</label>
						<action>bash "${Dossier_install}"/creation_zenity.sh Sauvegarde &</action>
					</button>
				</hbox>
			</frame>
		</notebook>

		<hbox>
			<button tooltip-text=" Création du code ">
				<input file icon="applications-system"></input>
				<label>Générer le code</label>
				<action>bash "${Dossier_install}"/creation_zenity.sh ${1}</action>
				<action type="refresh">code_final</action>
				<action type="refresh">nom_sauvegarde</action>
			</button>

			<button tooltip-text=" Teste du code ">
				<input file icon="edit-find"></input>
				<label>Tester le code</label>
				<action>bash "${Dossier_install}"/creation_zenity.sh Test_code /tmp/code_fenetre_zenity.txt</action>
			</button>

			<button tooltip-text=" Quitter Zenitor ?! ">
				<input file icon="system-shutdown"></input>
				<label>Quitter</label>
				<action>rm /tmp/code_fenetre_zenity.txt /tmp/exemple_zenity.txt</action>
				<action type="exit">bye</action>
			</button>
		</hbox>
	</vbox>
	<action signal="delete-event">bash "${Dossier_install}"/creation_zenity.sh killlll &</action>
</window>
EOF
}


##############################
### Codes des fenêtres GTK ###
##############################

export Calendrier='
'$(intro_gtk Calendrier x-office-calendar)'
'$(Titre_gtk)'
'$(Texte_gtk)'
'$(Temps_gtk)'
'$(Icone_gtk)'
'$(Largeur_gtk)'
'$(Hauteur_gtk)'
			</vbox>
			<vbox>
				<frame Année par défaut :>
					<entry tooltip-text=" Choisissez l'\''année à afficher. ">
						<variable>year</variable>
					</entry>
				</frame>

				<frame Mois par défaut :>
					<entry tooltip-text=" Choisissez le mois à afficher. ">
						<variable>month</variable>
					</entry>
				</frame>

				<frame Jour par défaut :>
					<entry tooltip-text=" Choisissez le jour à afficher. ">
						<variable>day</variable>
					</entry>
				</frame>

				<frame Format de sortie de la date :>
					<entry tooltip-text=" Entrez le format de date voulue. ">
						<variable>date_format</variable>
					</entry>

					<text tooltip-markup="<i>Jours</i> --
<b>%d</b> : Jour du mois [ex : 12]
<b>%a</b> : 3 premières lettres du jour [ex : ven]
<b>%A</b> : Affiche le nom du jour [ex : vendredi]
<b>%j</b> : Numéro du jour depuis le debut d'\''année [ex : 286]

<i>Semaines</i> --
<b>%V</b> : Numéro de la semaine [ex : 52]

<i>Mois</i> --
<b>%m</b> : Mois de l'\''année [ex: 10]
<b>%b</b> : 3 premières lettres du mois [ex : oct]
<b>%B</b> : Affiche le nom du mois [ex : octobre]

<i>Années</i> --
<b>%y</b> : Année, sur 2 chiffres [ex : 84]
<b>%Y</b> : Année, sur 4 chiffres [ex : 1984]

<i>Formats</i> --
<b>%D</b> : mois/jour/année [ex : 07/23/08]
<b>%F</b> : année-mois-jour [ex : 2008-07-21]
<b>%x</b> : jour.mois.année [ex : 21.07.2008]
<b>%c</b> : %a %d %b %Y heure [ex : lun 21 jui 2008 00:00:00]

<i>Exemple</i> : Nous sommes le %A %d %m %Y">
						<label>" Pour plus d'\''informations sur les possibilités,
 laissez le curseur sur cette zone de texte."</label>
					</text>
				</frame>
			</vbox>
'$(fin_gtk Calendrier)''


export Texte_fichier='
'$(intro_gtk Texte_fichier zenity-text)'
'$(Titre_gtk)'
'$(Temps_gtk)'
'$(Icone_gtk)'
'$(Largeur_gtk)'
'$(Hauteur_gtk)'
			</vbox>
			<vbox>
				<frame Adresse du fichier texte à afficher :>
					<hbox spacing="10">
						<entry accept="fileselect" tooltip-text=" Adresse du fichier texte dont le contenu sera affiché. ">
							<variable>filename</variable>
						</entry>

						<button>
							<input file stock="gtk-open"></input>
							<action type="fileselect">filename</action>
						</button>
					</hbox>
				</frame>

				<frame Édition du texte :>
					<checkbox>
						<variable>editable</variable>
						<label>Permettre l'\''édition du texte affiché.</label>
					</checkbox>
				</frame>
			</vbox>
'$(fin_gtk Texte_fichier)''


export Curseur='
'$(intro_gtk Curseur zenity-scale)'
'$(Titre_gtk)'
'$(Texte_gtk)'
'$(Temps_gtk)'
'$(Icone_gtk)'
'$(Largeur_gtk)'
'$(Hauteur_gtk)'
			</vbox>
			<vbox>
				<frame Incrémentation :>
					<entry tooltip-text=" Indiquez la valeur de l'\''augmentation entre deux nombres. 
 Ex : 2 = 2, 4, 6, 8...
 3 = 3, 6, 9...">
						<variable>step</variable>
					</entry>
				</frame>

				<vbox>
					<frame Valeur de départ sur l'\''échelle :>
						<entry tooltip-text=" Indiquez la valeur de base de l'\''échelle. ">
							<variable>value</variable>
						</entry>
					</frame>

					<text>
						<label>Obligatoire en cas de valeur minimale/maximale.</label>
					</text>
				</vbox>

				<frame Valeur minimale de l'\''échelle :>
					<entry tooltip-text=" Indiquez la valeur minimale de l'\''échelle. ">
						<variable>min_value</variable>
					</entry>
				</frame>

				<frame Valeur maximale de l'\''échelle :>
					<entry tooltip-text=" Indiquez la valeur maximale de l'\''échelle. ">
						<variable>max_value</variable>
					</entry>
				</frame>
			</vbox>
'$(fin_gtk Curseur)''


export Notification='
'$(intro_gtk Notification dialog-information)'
'$(Texte_gtk)'
'$(Icone_gtk)'
			</vbox>
			<vbox>
				<frame Action à réaliser lors d'\''un clic sur la fenêtre :>
					<edit tooltip-text=" Indiquez l'\''action à réaliser lors de la validation de la fenêtre. ">
						<variable>action</variable>
					</edit>
				</frame>
			</vbox>
'$(fin_gtk Notification)''


export Saisie='
'$(intro_gtk Saisie insert-text)'
'$(Titre_gtk)'
'$(Texte_gtk)'
'$(Temps_gtk)'
'$(Icone_gtk)'
'$(Largeur_gtk)'
'$(Hauteur_gtk)'
			</vbox>
			<vbox>
				<frame Pré-remplissage de la boite de texte :>
					<entry tooltip-text=" Indiquez le texte à afficher par défaut. ">
						<variable>entry_text</variable>
					</entry>
				</frame>

				<frame Texte caché façon mot de passe :>
					<checkbox>
						<variable>hide_text</variable>
						<label>Remplace le texte par des étoiles.</label>
						<action>if true disable:liste_reponse</action>
						<action>if false enable:liste_reponse</action>
					</checkbox>
				</frame>

				<frame Liste de choix déroulante :>
					<entry tooltip-text=" Indiquez les différents choix que vous souhaitez proposer.
 Il suffit d'\''espacer les différentes réponses.
 Si votre réponse contient plusieurs mots, les entourer par des doubles quote.
 Si la boite est déjà pré-remplie, il est inutile de remettre le texte ici. ">
						<variable>liste_reponse</variable>
					</entry>
				</frame>
			</vbox>
'$(fin_gtk Saisie)''


export Selection='
'$(intro_gtk Selection document-open)'
'$(Titre_gtk)'
'$(Temps_gtk)'
'$(Icone_gtk)'
'$(Largeur_gtk)'
'$(Hauteur_gtk)'
			</vbox>
			<vbox>
				<frame Dossier à ouvrir par défaut :>
					<hbox spacing="10">
						<entry accept="directory" tooltip-text=" Adresse du dossier à ouvrir de base. ">
							<variable>filename</variable>
						</entry>

						<button>
							<input file stock="gtk-open"></input>
							<action type="directory">filename</action>
						</button>
					</hbox>
				</frame>

				<frame Mode multi-séléction :>
					<checkbox>
						<variable>multiple</variable>
						<label>Sélection multiple.</label>
						<action>if true enable:separator</action>
						<action>if false disable:separator</action>
					</checkbox>

					<hbox>
						<text>
							<label>Choix du séparateur : </label>
						</text>

						<entry tooltip-text=" Choisissez le séparateur voulu. ">
							<variable>separator</variable>
							<visible>disabled</visible>
						</entry>
					</hbox>
				</frame>

				<frame Forcer l'\''enregistrement :>
					<checkbox>
						<variable>save</variable>
						<label>Mode enregistrement de fichier.</label>
					</checkbox>
				</frame>

				<frame Forcer la sélection de dossier :>
					<checkbox>
						<variable>directory</variable>
						<label>Sélection uniquement de dossier possible.</label>
					</checkbox>
				</frame>
			</vbox>
'$(fin_gtk Selection)''


export Message='
'$(intro_gtk Message dialog-warning)'
'$(Titre_gtk)'
'$(Texte_gtk)'
'$(Temps_gtk)'
'$(Icone_gtk)'
'$(Largeur_gtk)'
'$(Hauteur_gtk)'
			</vbox>
			<frame Type de fenêtre :>
				<radiobutton>
					<label>Boite de message d'\''information</label>
					<variable>info</variable>
				</radiobutton>

				<radiobutton>
					<label>Boite de message d'\''erreur</label>
					<variable>error</variable>
				</radiobutton>

				<radiobutton>
					<label>Boite de demande de confirmation</label>
					<variable>question</variable>
				</radiobutton>
					
				<radiobutton>
					<label>Boite de message d'\''alerte</label>
					<variable>warning</variable>
				</radiobutton>
			</frame>		
'$(fin_gtk Message)''



export Chargement='
'$(intro_gtk Chargement media-seek-forward)'
'$(Titre_gtk)'
'$(Texte_gtk)'
'$(Temps_gtk)'
'$(Icone_gtk)'
'$(Largeur_gtk)'
'$(Hauteur_gtk)'
			</vbox>
			<vbox>
				<frame Fermeture automatique et pulsation :>
					<checkbox>
						<variable>auto_close</variable>
						<label>Fermeture de la fenêtre en fin de chargement.</label>
					</checkbox>

					<checkbox>
						<variable>pulsate</variable>
						<label>Barre allant/venant sans pourcentage.</label>
						<action>if true disable:nombre_etape</action>
						<action>if false enable:nombre_etape</action>
						<action>if true disable:pourcentage_automatique</action>
						<action>if false enable:pourcentage_automatique</action>
					</checkbox>
				</frame>

				<frame Temps de l'\''affichage du texte de base :>
					<entry tooltip-text=" Veuillez choisir le temps pendant lequel le texte de la fenêtre 
 doit être lisible avant que les textes de la barre n'\''apparaissent. ">
						<variable>sleep_time</variable>
					</entry>
				</frame>

				<frame Nombre d'\''étapes pour arriver à 100% :>
					<entry tooltip-text=" Veuillez indiquer le nombre d'\''étapes à préparer pour arriver à 100%. ">
						<variable>nombre_etape</variable>
					</entry>

					<checkbox tooltip-text=" Divise automatiquement 100 par le nombre d'\''étape. ">
						<variable>pourcentage_automatique</variable>
						<label>Obtention automatique des pourcentages.</label>
						<action>if true disable:pulsate</action>
						<action>if false enable:pulsate</action>
						<action>if true enable:nombre_etape</action>
					</checkbox>
				</frame>
			</vbox>
'$(fin_gtk Chargement)''


export Liste='
'$(intro_gtk Liste format-justify-fill)'
'$(Titre_gtk)'
'$(Texte_gtk)'
'$(Temps_gtk)'
'$(Icone_gtk)'
'$(Largeur_gtk)'
'$(Hauteur_gtk)'
			</vbox>
			<vbox>
				<frame Type de liste :>
					<radiobutton>
						<label>Liste simple avec séléction unique</label>
						<action>if true disable:separator</action>
					</radiobutton>

					<radiobutton>
						<label>Liste simple avec séléction multiple</label>
						<variable>multiple</variable>
						<action>if true enable:separator</action>
					</radiobutton>

					<radiobutton>
						<label>Liste avec bouton à cocher à séléction unique</label>
						<variable>radiolist</variable>
						<action>if true disable:separator</action>
					</radiobutton>
						
					<radiobutton>
						<label>Liste avec case à cocher à séléction multiple</label>
						<variable>checklist</variable>
						<action>if true enable:separator</action>
					</radiobutton>
				</frame>

				<frame Nombre de colonne :>
					<entry tooltip-markup=" <b>INDISPENSABLE</b>.  
 Nombre de colonne voulue. 
 Dans le cas ou il y a des boutons/cases, 
 ajoutez une colonne pour leur emplacement. ">
						<variable>nombre_colonne</variable>
					</entry>
				</frame>

				<frame Nombre de ligne :>
					<entry tooltip-markup=" <b>INDISPENSABLE</b>.
 Nombre de ligne voulue. ">
						<variable>nombre_ligne</variable>
					</entry>
				</frame>

				<frame Cacher des colonnes :>
					<entry tooltip-text=" Indiquez le numéro de la colonne à cacher. 
 Si vous en cachez plusieurs, séparez les chiffres par des virgules. ">
						<variable>hide_column</variable>
					</entry>
				</frame>

				<frame Colonne à retourner :>
					<entry tooltip-text=" Indiquez le numéro de la colonne à retourner. 
 Vous pouvez en retourner plusieurs en séparant les chiffres par des virgules. 
 Vous pouvez également choisir ALL afin de retourner toutes les colonnes. ">
						<variable>print_column</variable>
					</entry>
				</frame>

				<frame Type de séparateur :>
					<hbox>
						<text>
							<label>Choix du séparateur : </label>
						</text>

						<entry tooltip-text=" Choix du caractére servant de séparateur. ">
							<variable>separator</variable>
							<visible>disabled</visible>
						</entry>
					</hbox>
				</frame>
			</vbox>
'$(fin_gtk Liste)''


export about_zenitor='<window title="About Zenity" window_position="1" icon-name="zenitor" resizable="false">
	<vbox>
		<hbox>
			<pixmap>
				<input file>/home/'${USER}'/.local/share/icons/hicolor/48x48/apps/zenitor-128.png</input>
			</pixmap>
			
			<text selectable="true">
				<label>
"Cette GUI a été créée par HIZOKA à l'\''aide
du logiciel GTKDIALOG afin de générer des codes
de fenêtre ZENITY pour faciler son utilisation.

Zenitor est la compression de Zenity Generator.

Zenitor v'${Version}'

Un petit retour fait toujours plaisir :
http://forum.ubuntu-fr.org/viewtopic.php?id=364817"
				</label>
			</text>
		</hbox>

		<hbox>
			<button>
				<input file icon="system-shutdown"></input>
				<label>Fermer la fenêtre</label>
				<action type="closewindow">about_zenitor</action>
			</button>
		</hbox>
	</vbox>
</window>'


export help_zenitor='<window title="Aide Zenitor" window_position="1" icon-name="help-contents">
	<vbox>
		<hbox>
			<pixmap>
				<input file>/home/'${USER}'/.local/share/icons/hicolor/48x48/apps/zenitor-128.png</input>
			</pixmap>
			
			<text>
				<label>
"Afin d'\''aider à la comprehension des réponses attendues
par les differents menu, l'\''utilité de certaines options,
tous les éléments attandant une réponse contiennent une aide.

Pour faire apparraitre l'\''aide, il suffit de laisser le
curseur de la souris sur la zone d'\''entrée de texte."
				</label>
			</text>
		</hbox>

		<frame Exemples de codes Zenity>
			<tree headers_visible="false">
				<label> Exemple de fenetre </label>
				<item icon="x-office-calendar">Calendrier en date du 12 Octobre 1984 avec format de sortie</item>
				<item icon="zenity-scale">Echelle partant de 10, de -10 à 40°c, incrémentation de 2</item>
				<item icon="zenity-text">Affichage du fichier /etc/fstab</item>
				<item icon="format-justify-fill">Liste type Questions à Choix Multiple</item>
				<item icon="zenity-question">Confirmation à une question essentielle</item>
				<item icon="dialog-information">Notification avec message lors de sa validation</item>
				<item icon="insert-text">Saisie de caracteres avec un texte par défaut</item>
				<item icon="document-open">Séléction d'\''un dossier avec dossier par defaut</item>
				<item icon="media-seek-forward">Barre de chargement avec pourcentage et texte</item>
				<variable>exemple_fenetre</variable>
				<action signal="cursor_changed">bash "${Dossier_install}"/creation_zenity.sh exemple_fenetre</action>
				<action signal="cursor_changed" type="refresh">code_final</action>
			</tree>
		</frame>

		<frame Code de l'\''exemple :>
			<edit tooltip-text=" Code de la fenêtre Zenity utilisable tel quel. ">
				<variable>code_final</variable>
				<input file>/tmp/exemple_zenity.txt</input>
			</edit>
		</frame>

		<hbox>
			<button tooltip-text=" Teste du code ">
				<input file icon="edit-find"></input>
				<label>Tester le code</label>
				<action>bash "${Dossier_install}"/creation_zenity.sh Test_code /tmp/exemple_zenity.txt</action>
			</button>

			<button>
				<input file icon="system-shutdown"></input>
				<label>Fermer la fenêtre</label>
				<action type="closewindow">help_zenitor</action>
			</button>
		</hbox>
	</vbox>
</window>'


export update_zenitor='<window title="Mise à jour Zenitor" window_position="1" icon-name="zenitor" resizable="false">
	<vbox>
		<hbox>
			<pixmap>
				<input file>/home/'${USER}'/.local/share/icons/hicolor/48x48/apps/zenitor-update-128.png</input>
			</pixmap>

			<edit editable="false" tooltip-text=" Version utilisée et action proposée. ">
				<variable>info_update</variable>
				<input file>/tmp/update_zenitor.txt</input>	
			</edit>	
		</hbox>

		<hbox>
			<button tooltip-text=" Permet de se tenir à jour ">
				<variable>bouton_update</variable>
				<input file icon="view-refresh"></input>
				<label>Rechercher une mise à jour</label>
				<action>bash "${Dossier_install}"/creation_zenity.sh Update</action>
				<action type="refresh">info_update</action>
			</button>
			
			<button>
				<input file icon="system-shutdown"></input>
				<label>Fermer la fenêtre</label>
				<action type="closewindow">update_zenitor</action>
			</button>
		</hbox>
	</vbox>
</window>'


export codes_zenity='<window title="Mes codes Zenity" window_position="1" icon-name="zenitor">
	<vbox>
		<frame Liste de mes codes Zenity :>
			<tree headers_visible="false">
				<label> Exemple de fenetre </label>
				<input>ls "${HOME}"/.config/zenitor</input>
				<variable>choix_code_sauvegarde_zenity</variable>
				<action signal="cursor_changed">cp "${HOME}/.config/zenitor/${choix_code_sauvegarde_zenity}" /tmp/exemple_zenity.txt</action>
				<action signal="cursor_changed" type="refresh">code_final</action>
			</tree>
		</frame>

		<frame Code Zenity :>
			<edit tooltip-text=" Code de la fenêtre Zenity utilisable tel quel. ">
				<variable>code_final</variable>
				<input file>/tmp/exemple_zenity.txt</input>
			</edit>
		</frame>

		<frame Gestion de mes codes :>
			<hbox>
				<entry tooltip-text=" Indiquez un nom pour facilement retrouver ce nouveau code.
	 Par défaut, la date du jour est utilisée.
	 il est possible de rennomer un code en le copiant avec le
	 nouveau nom puis en supprimant l'\''ancien nom. ">
					<variable>ajout_code_sauvegarde</variable>
					<input>date | sed "s/,// ; s/ (.*//"</input>
				</entry>

				<button tooltip-text=" Sauvegarder le code de la frame '\''Code Zenity'\''.
	 Cela permet d'\''importer des codes. ">
					<variable>ajout_code</variable>
					<input file icon="list-add"></input>
					<label>Ajouter le code</label>
					<action>bash "${Dossier_install}"/creation_zenity.sh Ajout_code</action>
					<action type="refresh">choix_code_sauvegarde_zenity</action>
				</button>

				<button tooltip-text=" Supprimer le code séléctionné des codes sauvegardés. ">
					<variable>suppr_code</variable>
					<input file icon="list-remove"></input>
					<label>Supprimer le code</label>
					<action>rm "${HOME}/.config/zenitor/${choix_code_sauvegarde_zenity}"</action>
					<action>echo "" > /tmp/exemple_zenity.txt </action>
					<action type="refresh">choix_code_sauvegarde_zenity</action>
					<action type="refresh">code_final</action>
				</button>
			</hbox>
		</frame>

		<hbox>
			<button tooltip-text=" Teste du code ">
				<input file icon="edit-find"></input>
				<label>Tester le code</label>
				<action>bash "${Dossier_install}"/creation_zenity.sh Test_code /tmp/exemple_zenity.txt</action>
			</button>

			<button>
				<input file icon="system-shutdown"></input>
				<label>Fermer la fenêtre</label>
				<action type="closewindow">codes_zenity</action>
			</button>
		</hbox>
	</vbox>
</window>'


###############################
### Fenêtres GTK principale ###
###############################

if [[ -n $(grep "erreur" ~/.config/zenitor/verif.txt) ]] || [[ ! -e ~/.config/zenitor/verif.txt ]]
then
	bash "${Dossier_install}"/creation_zenity.sh initial
fi

if [[ "${1}" != "Nouvelle_boite" ]]
then
	# Création ou remise à zéro des fichiers code_fenetre_zenity.txt exemple_zenity.txt update_zenitor.txt
	echo "" > /tmp/code_fenetre_zenity.txt
	echo "" > /tmp/exemple_zenity.txt
	echo "" > /tmp/update_zenitor.txt

	gtkdialog --program=Message
else
	gtkdialog --program=$(cat /tmp/code_fenetre_zenity.txt)
fi

exit
